POST api/VoucherVerification/VoucherVerification
Request Information
URI Parameters
None.
Body Parameters
clsVoucherVerificationDAL| Name | Description | Type | Additional information |
|---|---|---|---|
| VoucherVerificationId | globally unique identifier |
None. |
|
| BatteryName | string |
None. |
|
| SerialNumber | string |
None. |
|
| AlternativeNumber | string |
None. |
|
| InvoiceImage | string |
None. |
|
| InvoiceServerPath | string |
None. |
|
| WarrantyImage | string |
None. |
|
| WarrantyServerPath | string |
None. |
|
| ProductImage | string |
None. |
|
| ProductServerPath | string |
None. |
|
| VoucherId | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"voucherVerificationId": "b33ff597-b529-40d6-8a0c-bf990e481e1e",
"batteryName": "sample string 2",
"serialNumber": "sample string 3",
"alternativeNumber": "sample string 4",
"invoiceImage": "sample string 5",
"invoiceServerPath": "sample string 6",
"warrantyImage": "sample string 7",
"warrantyServerPath": "sample string 8",
"productImage": "sample string 9",
"productServerPath": "sample string 10",
"voucherId": "b083b2a8-2bbc-46ac-ab18-ec2978f5db63"
}
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |